Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/24943/?format=api
{ "ob_id": 24943, "uuid": "22a878b3ada24590970974588642f585", "title": "HadCRUT4: gridded dataset of global historical surface temperature anomalies, version 4.5.0.0", "abstract": "This is the HadCRUT.4.5.0.0 version of the HadCRUT4 data. \r\n\r\nData are available for each month since January 1850, on a 5 degree grid. \r\nThe gridded data are a blend of the CRUTEM4 land-surface air temperature dataset and the HadSST3 sea-surface temperature (SST) dataset. The dataset is presented as an ensemble of 100 dataset realisations that sample the distribution of uncertainty in the global temperature record. \r\n\r\nThe data consist of 100 ensemble members and the ensemble median, each are available as a separate file where the fourth component of the filename denotes the ensemble member or median. In addition, the variance information is provided under the name uncorrelated. Full error covariance data are available from the Met Office (see the link to the HadCRUT4 homepage in Docs) \r\n\r\nTo keep up to date with updates, news and announcements follow the HadOBS team on twitter @metofficeHadOBS.\r\n\r\nReferences:\r\nWhen using the dataset in a paper you must cite the following paper (see Docs for link to the publication) and this dataset (using the \"citable as\" reference) :\r\n\r\nMorice, C. P., J. J. Kennedy, N. A. Rayner, and P. D. Jones (2012), Quantifying uncertainties in global and regional temperature change using an ensemble of observational estimates: The HadCRUT4 dataset, J. Geophys. Res., 117, D08101, doi:10.1029/2011JD017187", "keywords": "HadOBS, HadCRUT4, surface air temperature", "publicationState": "published", "dataPublishedTime": "2017-08-23T08:20:46", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/24944/?format=api", "dataPath": "/badc/ukmo-hadobs/data/insitu/MOHC/HadOBS/HadCRUT4/HadCRUT-4-5-0-0/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1116559425, "numberOfFiles": 109, "fileFormat": "The data are NetCDF formatted and adhere to v1.6 of the CF conventions." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3677/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22621/?format=api" ], "dataLineage": "HadCRUT4 is a surface air temperature product that is a blend of the CRUTEM4 and HadSST3, it is produced by the Met Office Hadley Centre in collaboration with the Climatic Research Unit of the University of East Anglia. It is passed to the Centre for Environmental Data Analysis (CEDA) for archival and distribution.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13164/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/13523/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102100/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102101/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102102/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102103/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102104/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102105/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102106/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102107/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168767/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102108/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102109/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168768/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/13527/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2561/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/non-commercial-government-licence/version/2/", "licenceClassifications": "personal, academic, policy" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }